.button-container {
  display: flex;
  justify-content: space-around;
  margin-top: 20px;
}

.submit-button-container {
    display: flex;
    justify-content: right;
    margin: 20px;
}

.button-yellow {
  background-color: #E7C34E;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  border-radius: 5px;
  font-size: 16px;
  margin: 5px;
}

.button-blue {
  background-color: #3FBEE4;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  border-radius: 5px;
  font-size: 16px;
  margin: 5px;
}

.font-small {
    font-size: small;
}

.order-form label {
    display: block;
    margin-top: 10px;
    margin-bottom: 5px;
}
.order-form input {
    display: block;
    width: 100%;
    padding: 8px;
    margin-bottom: 15px;
    box-sizing: border-box;
    color: var(--section-light-text-color);
    border-radius: 5px;
    border: 1px solid #DDD;

}
.order-form button {
    margin-top: 10px;
    padding: 10px 20px;
    cursor: pointer;
}

/* Modal styles */
.modal {
    display: none;
    position: fixed;
    z-index: 999999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}
.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
    border-radius: 10px;
    text-align: center;
}
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Image overlay styles */
.image-container {
    position: relative;
    display: inline-block; /* To make sure the container only takes up the image's width */
    cursor: pointer;
}

.magnification-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0); /* Start with transparent background */
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.3s ease; /* Smooth transition for background */
}

.image-container:hover .magnification-overlay {
    background-color: rgba(0, 0, 0, 0.1); /* Change background opacity on hover */
}

.magnifying-glass-icon {
    width: 100px; /* Adjust size as needed */
    height: 100px; /* Adjust size as needed */
}

/* Desktop styles for image floating */
@media (min-width: 768px) {
    .image-float-right-top {
        float: right;
        margin-top: 30px !important;
        margin-left: 20px !important;
        margin-bottom: 20px !important;
    }

    .image-float-left-top {
        float: left;
        margin-right: 20px !important;
        margin-top: 0 !important;
        margin-bottom: 20px !important;
    }

    .image-float-right-bottom {
        float: right;
        margin-left: 20px !important;
        margin-bottom: 20px !important;
    }
}

/* Mobile styles for images */
@media (max-width: 767px) {
    .image-float-right-top,
    .image-float-left-top,
    .image-float-right-bottom {
        float: none; /* Remove float */
        display: block; /* Make it a block element */
        margin: 20px auto; /* Center the image and add vertical margin */
        clear: both; /* Prevent text from flowing around */
    }
}